/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.graphics;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class HardwareBufferRenderer implements java.lang.AutoCloseable {

public HardwareBufferRenderer(@android.annotation.NonNull android.hardware.HardwareBuffer buffer) { throw new RuntimeException("Stub!"); }

public void setContentRoot(@android.annotation.Nullable android.graphics.RenderNode content) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.HardwareBufferRenderer.RenderRequest obtainRenderRequest() { throw new RuntimeException("Stub!"); }

public boolean isClosed() { throw new RuntimeException("Stub!"); }

public void close() { throw new RuntimeException("Stub!"); }

public void setLightSourceGeometry(float lightX, float lightY, float lightZ, float lightRadius) { throw new RuntimeException("Stub!"); }

public void setLightSourceAlpha(float ambientShadowAlpha, float spotShadowAlpha) { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class RenderRequest {

RenderRequest() { throw new RuntimeException("Stub!"); }

public void draw(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull java.util.function.Consumer<android.graphics.HardwareBufferRenderer.RenderResult> renderCallback) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.HardwareBufferRenderer.RenderRequest setColorSpace(@android.annotation.Nullable android.graphics.ColorSpace colorSpace) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.HardwareBufferRenderer.RenderRequest setBufferTransform(int bufferTransform) { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class RenderResult {

RenderResult() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.SyncFence getFence() { throw new RuntimeException("Stub!"); }

public int getStatus() { throw new RuntimeException("Stub!"); }

public static final int ERROR_UNKNOWN = 1; // 0x1

public static final int SUCCESS = 0; // 0x0
}

}

