/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.tv;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class TvRecordingInfo implements android.os.Parcelable {

public TvRecordingInfo(@android.annotation.NonNull java.lang.String recordingId, long startPadding, long endPadding, int repeatDays, @android.annotation.NonNull java.lang.String name, @android.annotation.NonNull java.lang.String description, long scheduledStartTime, long scheduledDuration, @android.annotation.NonNull android.net.Uri channelUri, @android.annotation.Nullable android.net.Uri programUri, @android.annotation.NonNull java.util.List<android.media.tv.TvContentRating> contentRatings, @android.annotation.Nullable android.net.Uri recordingUri, long recordingStartTime, long recordingDuration) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getRecordingId() { throw new RuntimeException("Stub!"); }

public long getStartPaddingMillis() { throw new RuntimeException("Stub!"); }

public long getEndPaddingMillis() { throw new RuntimeException("Stub!"); }

public int getRepeatDays() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getName() { throw new RuntimeException("Stub!"); }

public void setName(@android.annotation.NonNull java.lang.String name) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getDescription() { throw new RuntimeException("Stub!"); }

public void setDescription(@android.annotation.NonNull java.lang.String description) { throw new RuntimeException("Stub!"); }

public long getScheduledStartTimeMillis() { throw new RuntimeException("Stub!"); }

public long getScheduledDurationMillis() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Uri getChannelUri() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.Uri getProgramUri() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.media.tv.TvContentRating> getContentRatings() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.Uri getRecordingUri() { throw new RuntimeException("Stub!"); }

public long getRecordingStartTimeMillis() { throw new RuntimeException("Stub!"); }

public long getRecordingDurationMillis() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.tv.TvRecordingInfo> CREATOR;
static { CREATOR = null; }

public static final int FRIDAY = 32; // 0x20

public static final int MONDAY = 2; // 0x2

public static final int RECORDING_ALL = 3; // 0x3

public static final int RECORDING_IN_PROGRESS = 2; // 0x2

public static final int RECORDING_SCHEDULED = 1; // 0x1

public static final int SATURDAY = 64; // 0x40

public static final int SUNDAY = 1; // 0x1

public static final int THURSDAY = 16; // 0x10

public static final int TUESDAY = 4; // 0x4

public static final int WEDNESDAY = 8; // 0x8
}

