/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telecom;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class CallAttributes implements android.os.Parcelable {

CallAttributes() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telecom.PhoneAccountHandle getPhoneAccountHandle() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.CharSequence getDisplayName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.Uri getAddress() { throw new RuntimeException("Stub!"); }

public int getDirection() { throw new RuntimeException("Stub!"); }

public int getCallType() { throw new RuntimeException("Stub!"); }

public int getCallCapabilities() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.Nullable android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public static final int AUDIO_CALL = 1; // 0x1

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.telecom.CallAttributes> CREATOR;
static { CREATOR = null; }

public static final int DIRECTION_INCOMING = 1; // 0x1

public static final int DIRECTION_OUTGOING = 2; // 0x2

public static final int SUPPORTS_SET_INACTIVE = 2; // 0x2

public static final int SUPPORTS_STREAM = 4; // 0x4

public static final int SUPPORTS_TRANSFER = 8; // 0x8

public static final int VIDEO_CALL = 2; // 0x2
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull android.telecom.PhoneAccountHandle phoneAccountHandle, int callDirection, @android.annotation.NonNull java.lang.CharSequence displayName, @android.annotation.NonNull android.net.Uri address) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telecom.CallAttributes.Builder setCallType(int callType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telecom.CallAttributes.Builder setCallCapabilities(int callCapabilities) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telecom.CallAttributes build() { throw new RuntimeException("Stub!"); }
}

}

